Skip to main content
GET
/
v1
/
ai-variables
List AI variables
curl --request GET \
  --url https://openapi.enginy.ai/v1/ai-variables \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "prompt": "<string>",
      "model": "<string>",
      "outputSchema": {
        "type": "text",
        "values": [
          "<string>"
        ],
        "provideExplanation": true,
        "jsonSchema": "<string>"
      },
      "search": true,
      "entity": "CONTACT",
      "folderId": 123,
      "customWebsiteField": "<string>",
      "description": "<string>",
      "isPublic": true,
      "archivedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 123,
    "pageSize": 123,
    "total": 123
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

page
string
default:1

Page number for pagination. Minimum value is 1. Defaults to 1.

pageSize
string
default:25

Number of items per page. Minimum is 1, maximum is 100. Defaults to 25.

Optional case-insensitive search over AI variable names.

entity
enum<string>

Filter AI variables by entity type.

Available options:
CONTACT,
COMPANY
folderId
string

Filter AI variables by folder ID.

includeArchived
string

Set to true to include archived AI variables. Defaults to false.

Response

200 - application/json

Successful response with paginated AI variables

data
object[]
required
meta
object
required